<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.portal.workflow.kaleo.definition.internal.deployment.DefaultWorkflowDeployer">
  <service>
    <provide interface="com.liferay.portal.workflow.kaleo.definition.deployment.WorkflowDeployer"/>
  </service>
  <reference name="_kaleoConditionLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoConditionLocalService" field="_kaleoConditionLocalService"/>
  <reference name="_kaleoDefinitionLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoDefinitionLocalService" field="_kaleoDefinitionLocalService"/>
  <reference name="_kaleoDefinitionService" interface="com.liferay.portal.workflow.kaleo.service.KaleoDefinitionService" field="_kaleoDefinitionService"/>
  <reference name="_kaleoDefinitionVersionLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoDefinitionVersionLocalService" field="_kaleoDefinitionVersionLocalService"/>
  <reference name="_kaleoNodeLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoNodeLocalService" field="_kaleoNodeLocalService"/>
  <reference name="_kaleoTaskLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoTaskLocalService" field="_kaleoTaskLocalService"/>
  <reference name="_kaleoTransitionLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoTransitionLocalService" field="_kaleoTransitionLocalService"/>
  <reference name="_kaleoWorkflowModelConverter" interface="com.liferay.portal.workflow.kaleo.KaleoWorkflowModelConverter" field="_kaleoWorkflowModelConverter"/>
  <reference name="_portletResourcePermission" interface="com.liferay.portal.kernel.security.permission.resource.PortletResourcePermission" target="(resource.name=com.liferay.portal.workflow)" field="_portletResourcePermission"/>
  <implementation class="com.liferay.portal.workflow.kaleo.definition.internal.deployment.DefaultWorkflowDeployer"/>
</scr:component>
